Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Archive /

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, biapar, Willr, Ingo, simon_w

Installing Silverstripe fails


Reply


6 Posts   1505 Views

Avatar
jaysfive

Community Member, 13 Posts

10 September 2008 at 5:26am

When I open config-form.html is get this:-

Welcome to SilverStripe

Thanks for choosing to use SilverStripe! Please follow the instructions below to get SilverStripe installed.

You aren't currently able to install the software. Please see below for details.
If you are having problems meeting the requirements, see the server requirements wiki page.
hasWarnings()) { ?>

There are some issues that we recommend you look at before installing, however, you are still able to install the software. Please see below for details.
If you are having problems meeting the requirements, see the server requirements wiki page.
hasErrors()) { ?>

You're ready to install!

Template to install:

* BlackCandy, default template ready to use.
* Empty template, ready to begin the tutorial.

You can change the template or download another from the SilverStripe website after installation.
Send information on my webserver to SilverStripe (this is only version information, used for statistical purposes)

Note: It seems as though SilverStripe is already installed here. If you ask me to install, I will overwrite the .htaccess and mysite/_config.php files.
That's okay, please re-install SilverStripe and overwrite these files.

(this will take a minute or so)
MySQL Database
hasErrors()) { ?>

These database details don't appear to be correct. Please enter the correct details before installing.

These database details look all good!

MySQL server: MySQL username: MySQL password: MySQL database:

SilverStripe stores its content in a MySQL database. Please provide the username and password to connect to the server here. If this account has permission to create databases, then we will create the database for you; otherwise, you must give the name of a database that already exists.
Details
showTable("MySQL Configuration"); ?>
SilverStripe Administration Account

Administrator email: Administrator password: Administrator first name: Administrator surname:

We will set up 1 administrator account for you automatically. Enter the email address and password. If you'd rather log-in with a username instead of an email address, enter that instead.

Development Servers

Development servers: localhost 127.0.0.1

SilverStripe allows you to run a site in development mode. This shows all error messages in the web browser instead of emailing them to the administrator, and allows the database to be built without logging in as administrator. Please enter the host/domain names for servers you will be using for development.

Requirements
showTable(); ?>

Can anyone help

Avatar
grilldan

Community Member, 135 Posts

10 September 2008 at 5:53am

I think the problem might be that you want to open "install.php" (or index.html/index.php), not "config-form.html".

Avatar
jaysfive

Community Member, 13 Posts

10 September 2008 at 5:58am

Nope, tried all 3 and just get a blank screen

Avatar
grilldan

Community Member, 135 Posts

10 September 2008 at 6:05am

Does your host pass the requirements for silverstripe?

[url]http://doc.silverstripe.com/doku.php?id=server-requirements[/url]

Avatar
jaysfive

Community Member, 13 Posts

10 September 2008 at 6:44am

I'm pretty sure it does. Any idea what the error messages mean?

Avatar
grilldan

Community Member, 135 Posts

10 September 2008 at 8:07am

Do you mean these?

You aren't currently able to install the software. Please see below for details.
If you are having problems meeting the requirements, see the server requirements wiki page.
hasWarnings()) { ?>

There are some issues that we recommend you look at before installing, however, you are still able to install the software. Please see below for details.
If you are having problems meeting the requirements, see the server requirements wiki page.
hasErrors()) { ?>

As long as you have the correct database info, and you have write permissions, you should be good to install.